using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml.Serialization;
using CensusParser;

namespace SimpleCensusParser
{


    class Program
    {
        static private string file = @"F:\census_2000\datasets\demographic_profile\California\2kh06\2kh06.csv";
        static private string xmlFilePath = @"c:\California.xml";


        static void Main(string[] args)
        {

            State california = CensusDemographicsParser.ParseFile(file);

            MemoryStream memStream = new MemoryStream();

            XmlSerializer xs = new XmlSerializer(typeof(State));

            TextWriter tw = new StreamWriter(xmlFilePath);

            xs.Serialize(tw, california);
            
            tw.Close();

        }
    }
}
